%define name gfcc
%define version 0.7.4
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: GTK+ Firewall Control Center
Source0: %{name}-%{version}.tar.bz2
Source1: gfcc.desktop
URL: http://icarus.autostock.co.kr/ 
Copyright: GPL
Group: X11/Applications
Packager: linuxkid <linux@peanutlinux.org>
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
Requires: ipchains
Prefix: /usr

%description
gfcc (GTK+ Firewall Control Center) is a GTK+ application which can control
Linux firewall policies and rules, based on the ipchains package. 

%prep
%setup -q 

%build
aclocal
automake
autoconf
(  tar xvfz libipfwc.tar.gz;  cd libipfwc; make CFLAGS="$RPM_OPT_FLAGS")
%configure --with-ipfwc=./libipfwc --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
%preun

%files
%defattr(-,root,root)
%doc README
%{prefix}/bin/*
%{prefix}/share/*
